Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Halide::Internal::Autoscheduler::ExprBranching Class Reference

`#include <FunctionDAG.h>`

Inheritance diagram for Halide::Internal::Autoscheduler::ExprBranching:

## Public Member Functions
int | visit (const Reinterpret *op)
int | visit (const IntImm *op)
int | visit (const UIntImm *op)
int | visit (const FloatImm *op)
int | visit (const StringImm *op)
int | visit (const Broadcast *op)
int | visit (const Cast *op)
int | visit (const Variable *op)
int | visit (const Add *op)
int | visit (const Sub *op)
int | visit (const Mul *op)
int | visit (const Div *op)
int | visit (const Mod *op)
int | visit (const Min *op)
int | visit (const Max *op)
int | visit (const EQ *op)
int | visit (const NE *op)
int | visit (const LT *op)
int | visit (const LE *op)
int | visit (const GT *op)
int | visit (const GE *op)
int | visit (const And *op)
int | visit (const Or *op)
int | visit (const Not *op)
int | visit (const Select *op)
int | visit (const Ramp *op)
int | visit (const Load *op)
int | visit (const Call *op)
int | visit (const Shuffle *op)
int | visit (const Let *op)
int | visit (const VectorReduce *op)
int | visit_binary (const Expr &a, const Expr &b)
int | visit_nary (const std::vector< Expr > &exprs)
| ExprBranching (const NodeMap< int64_t > &inlined)
int | compute (const Function &f)
Public Member Functions inherited from Halide::Internal::VariadicVisitor< ExprBranching, int, int >
HALIDE_ALWAYS_INLINE int | dispatch (const Stmt &s, Args &&...args)
HALIDE_ALWAYS_INLINE int | dispatch (Stmt &&s, Args &&...args)
HALIDE_ALWAYS_INLINE int | dispatch (const Expr &e, Args &&...args)
HALIDE_ALWAYS_INLINE int | dispatch (Expr &&e, Args &&...args)

## Detailed Description

Definition at line 640 of file FunctionDAG.h.

## Constructor & Destructor Documentation

## ◆ ExprBranching()

Halide::Internal::Autoscheduler::ExprBranching::ExprBranching | ( | const NodeMap< int64_t > & | inlined | ) |
| inline explicit

Definition at line 681 of file FunctionDAG.h.

## Member Function Documentation

## ◆ visit() [1/31]

int Halide::Internal::Autoscheduler::ExprBranching::visit | ( | const Reinterpret * | op | ) |

## ◆ visit() [2/31]

int Halide::Internal::Autoscheduler::ExprBranching::visit | ( | const IntImm * | op | ) |

## ◆ visit() [3/31]

int Halide::Internal::Autoscheduler::ExprBranching::visit | ( | const UIntImm * | op | ) |

## ◆ visit() [4/31]

int Halide::Internal::Autoscheduler::ExprBranching::visit | ( | const FloatImm * | op | ) |

## ◆ visit() [5/31]

int Halide::Internal::Autoscheduler::ExprBranching::visit | ( | const StringImm * | op | ) |

## ◆ visit() [6/31]

int Halide::Internal::Autoscheduler::ExprBranching::visit | ( | const Broadcast * | op | ) |

## ◆ visit() [7/31]

int Halide::Internal::Autoscheduler::ExprBranching::visit | ( | const Cast * | op | ) |

## ◆ visit() [8/31]

int Halide::Internal::Autoscheduler::ExprBranching::visit | ( | const Variable * | op | ) |

## ◆ visit() [9/31]

int Halide::Internal::Autoscheduler::ExprBranching::visit | ( | const Add * | op | ) |

## ◆ visit() [10/31]

int Halide::Internal::Autoscheduler::ExprBranching::visit | ( | const Sub * | op | ) |

## ◆ visit() [11/31]

int Halide::Internal::Autoscheduler::ExprBranching::visit | ( | const Mul * | op | ) |

## ◆ visit() [12/31]

int Halide::Internal::Autoscheduler::ExprBranching::visit | ( | const Div * | op | ) |

## ◆ visit() [13/31]

int Halide::Internal::Autoscheduler::ExprBranching::visit | ( | const Mod * | op | ) |

## ◆ visit() [14/31]

int Halide::Internal::Autoscheduler::ExprBranching::visit | ( | const Min * | op | ) |

## ◆ visit() [15/31]

int Halide::Internal::Autoscheduler::ExprBranching::visit | ( | const Max * | op | ) |

## ◆ visit() [16/31]

int Halide::Internal::Autoscheduler::ExprBranching::visit | ( | const EQ * | op | ) |

## ◆ visit() [17/31]

int Halide::Internal::Autoscheduler::ExprBranching::visit | ( | const NE * | op | ) |

## ◆ visit() [18/31]

int Halide::Internal::Autoscheduler::ExprBranching::visit | ( | const LT * | op | ) |

## ◆ visit() [19/31]

int Halide::Internal::Autoscheduler::ExprBranching::visit | ( | const LE * | op | ) |

## ◆ visit() [20/31]

int Halide::Internal::Autoscheduler::ExprBranching::visit | ( | const GT * | op | ) |

## ◆ visit() [21/31]

int Halide::Internal::Autoscheduler::ExprBranching::visit | ( | const GE * | op | ) |

## ◆ visit() [22/31]

int Halide::Internal::Autoscheduler::ExprBranching::visit | ( | const And * | op | ) |

## ◆ visit() [23/31]

int Halide::Internal::Autoscheduler::ExprBranching::visit | ( | const Or * | op | ) |

## ◆ visit() [24/31]

int Halide::Internal::Autoscheduler::ExprBranching::visit | ( | const Not * | op | ) |

## ◆ visit() [25/31]

int Halide::Internal::Autoscheduler::ExprBranching::visit | ( | const Select * | op | ) |

## ◆ visit() [26/31]

int Halide::Internal::Autoscheduler::ExprBranching::visit | ( | const Ramp * | op | ) |

## ◆ visit() [27/31]

int Halide::Internal::Autoscheduler::ExprBranching::visit | ( | const Load * | op | ) |

## ◆ visit() [28/31]

int Halide::Internal::Autoscheduler::ExprBranching::visit | ( | const Call * | op | ) |

## ◆ visit() [29/31]

int Halide::Internal::Autoscheduler::ExprBranching::visit | ( | const Shuffle * | op | ) |

## ◆ visit() [30/31]

int Halide::Internal::Autoscheduler::ExprBranching::visit | ( | const Let * | op | ) |

## ◆ visit() [31/31]

int Halide::Internal::Autoscheduler::ExprBranching::visit | ( | const VectorReduce * | op | ) |

## ◆ visit_binary()

int Halide::Internal::Autoscheduler::ExprBranching::visit_binary | ( | const Expr & | a,
|  | const Expr & | b
| ) |  |

## ◆ visit_nary()

int Halide::Internal::Autoscheduler::ExprBranching::visit_nary | ( | const std::vector< Expr > & | exprs | ) |

## ◆ compute()

int Halide::Internal::Autoscheduler::ExprBranching::compute | ( | const Function & | f | ) |

The documentation for this class was generated from the following file:

- src/autoschedulers/anderson2021/FunctionDAG.h